2010年5月3日 星期一

在Ubuntu 10.04 LTS安裝vmware-tools

如果你使用VMware Workstation 7或者VMware Server 2,這兩者內附的vmware-tools都還不支援Ubuntu 10.04 LTS所使用的2.6.32版核心,你必須改用open-vm-tools。

安裝open-vm-tools時,最好自行選擇要安裝的核心標頭檔案。像我安裝時選擇Ubuntu Server最小虛擬機器安裝,被安裝的核心應該是linux-virtual,但是安裝進去的卻是linux-generic-pae,安裝open-vm-tools時,套件管理程式會自動選擇不同的核心標頭檔案,導致核心模組編譯失敗。

透過aptitude安裝,應該選取以下套件:
  • linux-headers-generic-pae (根據你的系統來選擇標頭檔)
  • open-vm-dkms
  • open-vm-source
  • open-vm-toolbox (選用,如果你有安裝桌面環境)
  • open-vm-tools